{% extends 'base.html' %}
{% load bootstrap5 %}
{% block body %}



    <!---------- HERO SECTION ---------->
    <div class="bradcam_area bradcam_bg_1">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="bradcam_text">
                        <h3>Job Categories</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!---------- HERO SECTION ---------->

    <!-- job_listing_area_start  -->
    <div class="job_listing_area plus_padding">
        <div class="container ">
            <div class="row">





                    <!---------- CATEGORY LIST ---------->
                    <div class="job_lists m-0 ">
                        <div class="row">
                            {% for category in categories %}
                                <div class="col-lg-12 col-md-12">
                                    <div class="single_jobs white-bg d-flex justify-content-between">
                                        <div class="jobs_left d-flex align-items-center">

                                            <div class="thumb">
                                                {% if category.image %}
                                                    <img src="{{ category.image.url }}" alt="">
                                                {% else %}
                                                   <p>No Image</p>
                                                {% endif %}
                                            </div>

                                            <div class="jobs_conetent">
                                                <a href="{% url 'jobs:category-list' category.slug %} "><h4>{{ category.name }}</h4></a>
                                                <p>{{ category.description | truncatewords:30 }}</p>
                                                <div class="links_locat d-flex align-items-center">
                                                    <div class="location">
                                                        <p> <i class="fa fa-map-marker"></i> California, USA (STATIC)</p>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                    <div class="jobs_right">

                                        <div class="apply_now">
                                            <a class="heart_mark" href="#"> <i class="fa fa-heart"></i> </a>
                                            <a href={%  url 'jobs:category-list' category.slug %} class="boxed-btn3">View Category</a>
                                        </div>

                                        <div class="date">
                                            <p>Date line: {{ category.created_on|date:'d, M, o'}}</p>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        {% endfor %}
                        <!---------- CATEGORY LIST ENDS ---------->


                    <!-------------- PAGINATOR ----------------->
                    </div>
                        {% if categories.has_other_pages %}
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="pagination_wrap">
                                        <ul>
                                            <!-- Check if it has previous pages to display previous arrow -->
                                            {% if categories.has_previous %}
                                                <li><a href="?page={{ categories.previous_page_number }}"> <i class="ti-angle-left"></i> </a></li>
                                            {% endif %}

                                            <!-- Check the pages I have  -->
                                            {% for i in categories.paginator.page_range %}
                                                 <li><a href="?page={{ i }}"><span>{{ i }}</span></a></li>
                                            {%  endfor %}


                                            <!-- Check if it has next pages to display next arrow -->
                                            {% if categories.has_next %}
                                                <li><a href="?page={{ categories.next_page_number }}"> <i class="ti-angle-right"></i> </a></li>
                                            {% endif %}
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                    <!-------------- PAGINATOR ----------------->
                </div>
            </div>
        </div>
    </div>
    <!-- job_listing_area_end  -->

{% endblock body %}